package request


type AlibabaWdkItemMerchantskuCreateRequest struct {
    /*
        新建商品参数，是个json字符串     */
    Params  *string `json:"params" required:"true" `
}

func (s *AlibabaWdkItemMerchantskuCreateRequest) SetParams(v string) *AlibabaWdkItemMerchantskuCreateRequest {
    s.Params = &v
    return s
}

func (req *AlibabaWdkItemMerchantskuCreateRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.Params != nil) {
        paramMap["params"] = *req.Params
    }
    return paramMap
}

func (req *AlibabaWdkItemMerchantskuCreateRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}